## bash 2.05b-2-26osso2

=== debian/changelog ===
bash (2.05b-2-26osso2) testing-proposed-updates; urgency=low

  * pre-install deleted - there is no need in its checks under,
    scratchbox. and some of them evern failed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 25 Aug 2006 19:46:54 +0300

bash (2.05b-2-26osso1) testing-proposed-updates; urgency=low

  * ARCH variable added to the list of arch-dependent vers

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 24 May 2006 15:01:38 +0300

bash (2.05b-2-26osso) testing-proposed-updates; urgency=low

  * bash-static removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  6 Apr 2006 11:54:21 +0300

bash (2.05b-2-26) testing-proposed-updates; urgency=medium

  * debian/skel.bashrc: Quote dircolors invocation (closes: #285840).

 -- Matthias Klose <doko@debian.org>  Sun, 19 Dec 2004 17:44:04 +0100

bash (2.05b-2-25) testing-proposed-updates; urgency=low

  * Add a comment to /etc/bash.bashrc that the file is not read by
    login shells (closes: #271413).
  * Sync skeleton files with those from unstable.
  * Sync builtin CDPATH documentation with man page (closes: #259767).
  * Document conditional file expressions acting on the target of
    symbolic links as well (except -h, -L). Closes: #231267.
  * lib/readline/chardefs.h:
    Remove the NON_NEGATIVE macro in the definition of the _rl_lowercase_p,
    _rl_uppercase_p, _rl_pure_alphabetic, ALPHABETIC macros. Safe for glibc.
    Note, that the selected locale must be generated on the system to
    make i.e. kill-word work with 8-bit strings.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Oct 2004 10:46:48 +0200

bash (2.05b-2-24) testing-proposed-updates; urgency=low

  * Explicitely check for the existance of /usr/sbin/add-shell in the postrm.

 -- Matthias Klose <doko@debian.org>  Mon,  6 Sep 2004 19:56:50 +0200

bash (2.05b-2-23) testing-proposed-updates; urgency=low

  * Address build failure calling the 'binary' target directly instead of
    dpkg-buildpackage (closes: #263797).

 -- Matthias Klose <doko@debian.org>  Fri,  6 Aug 2004 07:14:10 +0200

bash (2.05b-2-22) unstable; urgency=low

  * Brown paperbag ... Fix typo in bash-minimal's postinst.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jul 2004 23:04:56 +0200

bash (2.05b-2-21) unstable; urgency=low

  * Remove the pre-dependency on passwd.
  * Explicitely check for the existance of /usr/sbin/add-shell.
  * Reassign #257744 to debootstrap to correctly handle the installation.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jul 2004 22:57:19 +0200

bash (2.05b-2-20) unstable; urgency=medium

  * Make passwd a pre-dependency (closes: #257744).

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jul 2004 06:56:38 +0200

bash (2.05b-2-19) unstable; urgency=low

  * Build using gcc, not gcc-3.4 (closes: #259208).

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jul 2004 21:25:28 +0200

bash (2.05b-2-18) unstable; urgency=low

  * Tighten dependency on passwd (closes: #257717).
  * Update to bash_completion 20040711 (v1.737).
    - Fix mutt folder completion (closes: #248635).
  * Fix tab completion on relative path directories (closes: #189006).
  * Modify lib/malloc/malloc.c to make it compile with gcc-3.4 (Andreas
    Jochens). Closes: #258456.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jul 2004 06:15:46 +0200

bash (2.05b-2-17) unstable; urgency=low

  * Add dependencies on passwd (closes: #257630).

 -- Matthias Klose <doko@debian.org>  Sun,  4 Jul 2004 22:56:17 +0200

bash (2.05b-2-16) unstable; urgency=low

  * Handle shells using add-shell/remove-shell (closes: #254476).
  * Update to bash_completion 20040704 (v1.731).
    - Add autocompletion for dpkg -P, --purge (closes: #241042, #249934).
    - Fix mutt folder completion (closes: #248635).
    - Add autossh to ssh completions (closes: #252090).
    - Emacs completion does not discard .tar* archives (closes: #252347).
    - Add MS filename extensions to OpenOffice (closes: #252635).
    - Add completion for tar.Z files (closes: #254896).
    - Fix problems with sed-4.1 (closes: #256000).
    - Fix dpkg completion with multiple arguments (closes: #257544).
  * Fix formatting in bash(1). Closes: #248344.

 -- Matthias Klose <doko@debian.org>  Sun,  4 Jul 2004 16:07:24 +0200

bash (2.05b-2-15) unstable; urgency=low

  * Fix a bug that caused a leading `-' in the shell's name to cause it to
    not be recognized as a restricted shell (closes: #170298).
  * Fix option in menu file (closes: #162152). 
  * Backout patches/random patch (closes: #242111).
  * Update to bash_completion 20040331 (v1.700).
  * Update skeleton files and /etc/bash.bashrc to include the contents
    of /etc/debian_chroot in the prompt, if the file exists.
  * Add openoffice completions (closes: #244611).
  * Remove ee (eeyes) completion (closes: #240668). eeyes isn't distributed
    anymore.
  * bash(1): Document ~/.bash_login and ~/.profile in FILES section.
    Closes: #204766.
  * Apply patch from http://www.savarese.org/posix/ to improve the mail
    checking code so it won't check (and possibly cause an NFS file system
    mount) until MAILPATH or MAIL is given a value. Closes: #211426.
  * Add missing dependency in debian/rules (closes: #247413).

 -- Matthias Klose <doko@debian.org>  Sat,  8 May 2004 18:36:41 +0200

bash (2.05b-2-14) unstable; urgency=low

  * Add bash reference manual in PDF format (closes: #202849).
  * Remove FAQ; the license doesn't allow modification (closes: #231157).
  * debian/copyright: Name the copyright holders (closes: #233716).
  * Update to bash_completion 20040214 (v1.690).
    - Make xspec parsing immune to comments (closes: #226812).
    - Another fix to sudo completion: "sudo completion is virtually
      impossible to get right. It's just a question of choosing what
      aspect of it is the least annoying to leave broken. :-("
      Closes: #223094.
    - xine can also complete on .asx files (closes: #231356).
    - Speedup dpkg completion (closes: #232585).
    - Fix chsh completion (closes: #232214).

