=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_COMPAT=4

# architecture dependent variables
DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU	:= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM	:= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

VERSION	:= 2.05b
PKGVERSION := $(shell dpkg-parsechangelog \
		| sed -n '/Version:/s/\(.* \)\(.*\)-2\(.*\)/\2\3/p')

CC	= gcc
CFLAGS	= -g -O2
SHELL	= bash
YACC	= bison-1.35 -y

IX	= install -o 0 -g 0
ID	= install -o 0 -g 0 -m 644

# built with installed libreadline4?
with_installed_rl = no

debflags =

PWD	:= $(shell pwd)
p	= bash
p_min	= bash-minimal
p_stat	= bash-static
p_bins	= bash-builtins
p_doc	= bash-doc
p_bdb	= bashdb

d	= debian/$(p)
d_min	= debian/$(p_min)
d_stat	= debian/$(p_stat)
d_bins	= debian/$(p_bins)
d_doc	= debian/$(p_doc)
d_bdb	= debian/$(p_bdb)

dpkg_ctrl_args := -v$(PKGVERSION) -VBinary-Version=$(PKGVERSION)

conf_args = \
	--with-curses \
	--disable-net-redirections \
	--enable-largefile \
	--prefix=/usr \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man
ifeq ($(with_installed_rl),yes)
    conf_args += --with-installed-readline
endif

static_conf_args := $(conf_args) \
	--enable-static-link \
	$(DEB_HOST_GNU_TYPE)

conf_args += $(DEB_HOST_GNU_TYPE)

min_conf_args = \
	--enable-minimal-config \
	--enable-largefile \
	--prefix=/usr \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man \
# bash malloc is broken on GNU/FreeBSD
ifeq ($(DEB_HOST_GNU_SYSTEM),kfreebsd-gnu)
    min_conf_args += --without-bash-malloc
endif
min_conf_args += $(DEB_HOST_GNU_TYPE)


#build: bash-build minimal-build static-build preinst-build all-bashdb-build check
build: bash-build check

# ---------------------------------------------------------------------------
# build standard bash

bash-build:
	$(MAKE) -f debian/rules do-build-bash \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=bash \
	    configure_args="$(conf_args)"
bash-configure:
	$(MAKE) -f debian/rules do-configure-bash \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=bash \
	    configure_args="$(conf_args)"

# ---------------------------------------------------------------------------
# build minimal bash

minimal-build:
	$(MAKE) -f debian/rules do-build-min \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=min \
	    configure_args="$(min_conf_args)"
minimal-configure:
	$(MAKE) -f debian/rules do-configure-min \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=min \
	    configure_args="$(min_conf_args)"

# ---------------------------------------------------------------------------
# build static bash

static-build:
	$(MAKE) -f debian/rules do-build-static \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=static \
	    configure_args="$(static_conf_args)"
static-configure:
	$(MAKE) -f debian/rules do-configure-static \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=static \
	    configure_args="$(static_conf_args)"

# ---------------------------------------------------------------------------
# build standard bash

all-bashdb-build: bashdb-build #bashdb-doc-build

bashdb-build:
	DEBUGGER_START_FILE=/usr/share/bashdb/dbg-main.inc \
	$(MAKE) -f debian/rules do-build-bashdb \
	    bash_src=bashdb \
	    bash_patches="$(bashdb_patches)" \
	    build=bashdb \
	    configure_args="$(conf_args)"
bashdb-configure:
	DEBUGGER_START_FILE=/usr/share/bashdb/dbg-main.inc \
	$(MAKE) -f debian/rules do-configure-bashdb \
	    bash_src=bashdb \
	    bash_patches="$(bashdb_patches)" \
	    build=bashdb \
	    configure_args="$(conf_args)"

bashdb-doc-build: stamps/stamp-build-bashdb-doc
stamps/stamp-build-bashdb-doc:
	cp -p build-bashdb/doc/version.texi bashdb/doc/
	cp -p build-bashdb/debugger/doc/version.texi bashdb/debugger/doc/
#	$(MAKE) -C build-bashdb doc
	$(MAKE) -C build-bashdb/debugger/doc
	touch stamps/stamp-build-bashdb-doc

# ---------------------------------------------------------------------------

bash-doc-build: stamps/stamp-build-bash-doc
stamps/stamp-build-bash-doc:
	#$(MAKE) -C build-bash/doc bashref.pdf
	touch stamps/stamp-build-bash-doc

# ---------------------------------------------------------------------------

check: bash-build
	echo BEGIN test
	$(MAKE) -C build-bash test 2>&1 | tee build-bash/test-protocol
	echo END test

# ---------------------------------------------------------------------------

clean:
	dh_testdir
	dh_testroot
	rm -rf stamps build-* bash bashdb
	dh_clean

# ---------------------------------------------------------------------------


#install: build bash-install bashdb-install
install: build bash-install

bash-install: bash-build stamps/stamp-install-bash
stamps/stamp-install-bash: stamps/stamp-build-bash
	dh_testdir
	dh_testroot
	dh_clean -k -p$(p) -p$(p_doc) -p$(p_bins)
	dh_installdirs -p$(p) \
		bin \
		etc/skel \
		etc/bash_completion.d \
		usr/share/doc/$(p)
	dh_installdirs -p$(p_doc) \
		usr/share/doc/$(p)
	dh_installdirs -p$(p_bins) \
		usr/share/doc/$(p)/examples/loadables \
		usr/{include/bash/{builtins,lib/{glob,tilde}}}

	: # install it
	$(MAKE) -C build-bash install \
		CC='$(CC)' \
		CFLAGS='$(CFLAGS)' \
		YACC="$(YACC)" \
		DESTDIR=$(PWD)/$(d)
	mv $(d)/usr/bin/bash $(d)/bin/.
	chmod 755 $(d)/usr/bin/bashbug

	: # extra links
	ln -sf bash $(d)/bin/rbash
	ln -sf bash $(d)/bin/sh
	ln -sf bash.1 $(d)/usr/share/man/man1/sh.1

	: # skeleton files
	$(ID) debian/etc.bash.bashrc $(d)/etc/bash.bashrc
	$(ID) debian/skel.bashrc $(d)/etc/skel/.bashrc
	$(ID) debian/skel.bash_profile $(d)/etc/skel/.bash_profile
#	$(ID) debian/skel.bash_logout $(d)/etc/skel/.bash_logout

	: # install bash-completion
	$(ID) debian/bash_completion/bash_completion $(d)/etc/.
	cp -a debian/bash_completion/contrib \
		$(d)/usr/share/doc/$(p)/completion-contrib
	chmod 755 $(d)/usr/share/doc/$(p)/completion-contrib
	chmod 644 $(d)/usr/share/doc/$(p)/completion-contrib/*
	$(ID) debian/bash_completion/Changelog \
		$(d)/usr/share/doc/$(p)/changelog.bash_completion
	$(ID) debian/README.bash_completion $(d)/usr/share/doc/$(p)/
	cat debian/bash_completion/README \
		>> $(d)/usr/share/doc/$(p)/README.bash_completion
	$(ID) debian/bash_completion/BUGS \
		$(d)/usr/share/doc/bash/BUGS.bash_completion

	: # files for the bash-doc package
	mv $(d)/usr/share/info/bash.info $(d)/usr/share/info/bashref.info
	ln -sf bashref.info $(d)/usr/share/info/bash.info
	mv $(d)/usr/share/info $(d_doc)/usr/share/

	dh_installexamples -p$(p_doc) bash/examples/*
	mv $(d_doc)/usr/share/doc/$(p_doc)/examples \
		$(d_doc)/usr/share/doc/$(p)/examples
	rm -rf $(d_doc)/usr/share/doc/$(p)/examples/loadables
	ln -sf ../$(p)/examples $(d_doc)/usr/share/doc/$(p_doc)/examples

	cd $(d_doc)/usr/share/doc/$(p)/examples && chmod 644 \
		*bashdb/PERMISSION complete/complete.gnu-longopt
	cd $(d_doc)/usr/share/doc/$(p)/examples && chmod 755 \
		misc/aliasconv.*sh misc/cshtobash

	cd $(d_doc)/usr/share/doc/$(p)/examples && chmod 644 \
		scripts/shprompt scripts/precedence \
		scripts/bcsh.sh scripts/krand.bash

	: # files for the bash-builtins package
	$(ID) bash/include/*.h bash/*.h build-bash/{config.h,version.h} \
		$(d_bins)/usr/include/bash/
	$(ID) bash/builtins/*.h $(d_bins)/usr/include/bash/builtins/
	$(ID) bash/lib/glob/*.h $(d_bins)/usr/include/bash/lib/glob/
	$(ID) bash/lib/tilde/*.h $(d_bins)/usr/include/bash/lib/tilde/
	$(ID) bash/examples/loadables/{README,*.c} \
		$(d_bins)/usr/share/doc/$(p)/examples/loadables
	$(ID) build-bash/examples/loadables/Makefile \
		$(d_bins)/usr/share/doc/$(p)/examples/loadables
	ln -sf bash $(d_bins)/usr/share/doc/$(p_bins)

	touch stamps/stamp-install-bash

bashdb-install: bashdb-build stamps/stamp-install-bashdb
stamps/stamp-install-bashdb: stamps/stamp-build-bashdb
	dh_testdir
	dh_testroot
	dh_clean -k -p$(p_bdb)
	dh_installdirs -p$(p_bdb) \
