=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/bash/bash-([\d\.]*).tar.gz 2.05b uupdate
