## bash 2.05b-2-26osso3

=== debian/changelog ===
bash (1:2.05b-2-26osso3) testing-proposed-updates; urgency=low

  * Added epoch.

 -- Maemo Integration <integration@maemo.org>  Wed, 28 Mar 2007 19:26:10 +0300
