## bash 2.05b-2-26osso4

=== debian/changelog ===
bash (2.05b-2-26osso4) testing-proposed-updates; urgency=low

  * Fixed bash to provide /bin/sh in cases where no other provides it

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 21 Jan 2008 15:51:59 +0200

bash (2.05b-2-26osso3) testing-proposed-updates; urgency=low

  * Fixed bash not to provide /bin/sh symlink (Fixes: NB#58018)

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu, 17 Jan 2008 16:56:18 +0200
