## bash 2.05b-2-26osso7+0m5

=== debian/changelog ===
bash (2.05b-2-26osso7+0m5) testing-proposed-updates; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:35:22 +0300

bash (2.05b-2-26osso7) testing-proposed-updates; urgency=low

  * Rebuilt with new ncurses

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 10:54:26 +0300

bash (2.05b-2-26osso6+0m5) testing-proposed-updates; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 06 Apr 2009 11:42:26 +0300

bash (2.05b-2-26osso6) testing-proposed-updates; urgency=low

  * Is not an Essential package anymore
  * Fixes: NB#106231

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 06 Apr 2009 11:29:59 +0300

bash (2.05b-2-26osso5) testing-proposed-updates; urgency=low

  * Rebuilt for Fremantle

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 10 Feb 2009 16:49:59 +0200
