=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Conflicts: bash-completion
 Replaces: bash-doc (<= 2.05-1), bash-completion
 Suggests: bash-doc
-Essential: yes
 Section: base
 Priority: required
 Description: The GNU Bourne Again SHell
