=== debian/rules ===
--- 
+++ 
@@ -208,7 +208,7 @@
 
 	: # extra links
 	ln -sf bash $(d)/bin/rbash
-	ln -sf bash $(d)/bin/sh
+#	ln -sf bash $(d)/bin/sh
 	ln -sf bash.1 $(d)/usr/share/man/man1/sh.1
 
 	: # skeleton files
