## bash 2.05b-2-26osso8+0m5

=== debian/changelog ===
bash (2.05b-2-26osso8+0m5) testing-proposed-updates; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 11 Jan 2010 15:09:24 +0200

bash (2.05b-2-26osso8) testing-proposed-updates; urgency=low

  * Fixes: NB#147091 - bash postinstall script fails due to unrecognized rmdir option

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 11 Jan 2010 14:42:22 +0200
