## bash 3.2-0maemo2

=== debian/changelog ===
bash (3.2-0maemo2) diablo; urgency=low

  * Fixed the Maemo-Icon-26 field.

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 18 Oct 2008 03:51:31 +0400

bash (3.2-0maemo1) diablo; urgency=low

  * Ported from scratch using Ubuntu patches and previously gathered
    wisdom during the bash2 port.

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 18 Oct 2008 02:35:07 +0400
