## bash 3.2-0maemo3

=== debian/changelog ===
bash (3.2-0maemo3) diablo; urgency=low

  * Don't run bash-setup.sh when running a non-interactive shell.

 -- Andrew Zabolotny <zap@homelink.ru>  Fri,  2 Jan 2009 03:15:39 +0300
