## bash 3.2-0maemo4

=== debian/changelog ===
bash (3.2-0maemo4) diablo; urgency=low

  * Forget automatic run of bash-setup.sh. This should solve all problems
    with running an interactive dialog at inappropiate times (e.g. during
    bootup). Instead, tell the user after installation that he can run
    bash-setup to set up bash as his default shell.

 -- Andrew Zabolotny <zap@homelink.ru>  Wed, 29 Apr 2009 02:10:40 +0400
