=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: bash
+Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
 Section: user/tools
 Priority: optional
 Maintainer: Andrew Zabolotny <zap@homelink.ru>
 Standards-Version: 3.6.1
-Build-Depends: patch, bison, make (>= 3.80), debhelper (>= 4.1),
- libncurses5-dev, libreadline5-dev
+Build-Depends: posix-locales, locales, libreadline5-dev, gnupg
 
 Package: bash
 Architecture: any
