=== debian/rules ===
--- 
+++ 
@@ -118,10 +118,9 @@
 	dh_clean -k
 	dh_installdirs
 	install -m 0755 -s bash $(DEB_DESTDIR)/bin/bash
-	install -m 0755 debian/bash-setup.sh $(DEB_DESTDIR)/usr/bin/bash-setup.sh
+	install -m 0755 debian/bash-setup.sh $(DEB_DESTDIR)/usr/bin/bash-setup
 	install -m 0644 debian/etc.bash.bashrc $(DEB_DESTDIR)/etc/bash.bashrc
 	install -m 0644 debian/etc.profile.d.prompt.sh $(DEB_DESTDIR)/etc/profile.d/prompt.sh
-	install -m 0644 debian/etc.profile.d.chk-bash-setup.sh $(DEB_DESTDIR)/etc/profile.d/chk-bash-setup.sh
 	touch $@
 
 binary:	binary-indep binary-arch
